--- title: "getContractDemandCostList" slug: "platform-costandusage-getcontractdemandcostlist" tags: ["Cost And Usage"] updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-costandusage-getcontractdemandcostlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getContractDemandCostList Available in Classic and VPC View the list of monthly contract billing costs based on the set period. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /cost/getContractDemandCostList | ### Request headers For headers common to all Cost and usage APIs, see [Cost and usage common headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `contractNo` | String | Optional | Contract number | | `startMonth` | String | Required | Query start month (yyyyMM) - Up to 3 months viewable - 202401 | | `endMonth` | String | Required | Query end month (yyyyMM) - Up to 3 months viewable - 202406 | | `demandTypeCode` | String | Optional | Billing type code | | `demandTypeDetailCode` | String | Optional | Billing type detailed code | | `regionCode` | String | Optional | Region code - Check through the [getRegionList](/docs/en/platform-region-getregionlist) action | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getContractDemandCostList?startMonth=202403&endMonth=202403&responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ContractDemandCostList](/docs/en/common-vapidatatype-contractdemandcostlist#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "getContractDemandCostListResponse": { "totalRows": 5, "contractDemandCostList": [ { "memberNo": "2760000", "regionCode": "KR", "demandType": { "code": "SW", "codeName": "Software License" }, "demandTypeDetail": { "code": "SWST", "codeName": "Software OS License Stop Usage " }, "contract": { "memberNo": "2760000", "contractNo": "15430000", "conjunctionContractNo": "15430000", "contractType": { "code": "SW", "codeName": "Software" }, "contractStatus": { "code": "NLEND", "codeName": "Normal termination" }, "contractStartDate": "2024-01-09T11:40:50+0900", "contractEndDate": "2024-01-24T11:35:45+0900", "instanceName": "mysql(5.6)-ubuntu-14.04-64-server", "regionCode": "KR", "platformType": {}, "contractProductList": [ { "contractProductSequence": "1", "beforeContractProductSequence": "", "productCode": "SPSW0LINUX000051", "priceNo": "310", "promiseNo": "", "instanceNo": "22010000", "productItemKind": { "code": "SW", "codeName": "Software" }, "productRatingType": { "code": "SW", "codeName": "Software OS License" }, "serviceStatus": { "code": "END", "codeName": "Termination" }, "serviceStartDate": "2024-01-09T11:40:50+0900", "serviceEndDate": "2024-01-24T11:35:45+0900", "productSize": 0, "productCount": 0, "usageList": [] } ] }, "demandMonth": "202401", "unitUsageQuantity": 0, "packageUnitUsageQuantity": 0, "totalUnitUsageQuantity": 0, "usageUnit": { "code": "USAGE_DAY", "codeName": "Usage time (per day)" }, "productPrice": 0, "useAmount": 0, "promotionDiscountAmount": 0, "etcDiscountAmount": 0, "promiseDiscountAmount": 0, "demandAmount": 0, "writeDate": "2024-02-01T04:49:20+0900", "memberPriceDiscountAmount": 0, "memberPromiseDiscountAddAmount": 0, "payCurrency": { "code": "KRW", "codeName": "South Korea Won" }, "thisMonthAppliedExchangeRate": 1 }, // (Omitted) ], "requestId": "0000002a-2448-4e2c-8b14-eeacc1000000", "returnCode": "0", "returnMessage": "success" } } ```